## Changelog

<!-- Note: contrary to 1.x, insert new entries *first* in their section -->

### 2.0.0

- [documentation] JAVA-2188: Document DSE load balancing policy
- [improvement] JAVA-2192: Don't return generic types with wildcards
- [bug] JAVA-2166: Use programmatic local datacenter in DSE LBP
- [improvement] JAVA-2018: Check backward compatibility with Revapi
- [improvement] JAVA-2190: Use `@CheckReturnValue` in DSE-specific types
- [bug] JAVA-2185: Handle DOWN nodes in DseLoadBalancingPolicy.init
- [documentation] JAVA-2068: Add documentation for the reactive request processor
- [improvement] JAVA-2156: Don't have ContinuousReactiveSession extend ReactiveSession

### 2.0.0-rc1

- [improvement] JAVA-2152: Drop "Dsl" suffix from query builder main classes
- [bug] JAVA-2087: Reactive execution of CAS request throws IllegalStateException
- [improvement] JAVA-2133: Revisit function and aggregate statements in SchemaBuilderDsl
- [improvement] JAVA-2130: Create DseQueryBuilderDsl
- [improvement] JAVA-2121: Expose query metadata in reactive result sets
- [improvement] JAVA-2067: Publish javadocs JAR for the shaded module
- [new feature] JAVA-1993: Consider supporting sets in GraphNode

### 2.0.0-beta1

- [new feature] JAVA-2065: Support virtual tables (aka system views)
- [new feature] JAVA-1703: Reactive request processor
- [bug] JAVA-2019: Allow config file loading from system properties
- [new feature] JAVA-1997: Generate distribution tarball

### 2.0.0-alpha1

- [improvement] JAVA-1985: Revisit auth provider options to follow existing conventions
- [new feature] JAVA-1705: Add graph request processor
- [improvement] JAVA-1984: Remove pre-fetching from ContinuousResultSet API
- [new feature] JAVA-1699: Create default load balancing policy for DSE driver 2
- [new feature] JAVA-1959: Support proxy authentication
- [improvement] JAVA-1962: Expose DseSession.DSE_DRIVER_COORDINATES and log driver version on first
  use
- [bug] JAVA-1831: Revisit configuration inheritance
- [new feature] JAVA-1954: Honor Node targeting for continuous queries
- [improvement] JAVA-1957: Revisit GeoTypes API
- [new feature] JAVA-1932: Add DSE-specific options to Startup message
- [new feature] JAVA-1704: Add continuous paging processor
- [new feature] JAVA-1782: Add DETERMINISTIC and MONOTONIC Clauses for Function and Aggregate
- [new feature] JAVA-1882: Create DateRange type
- [improvement] JAVA-1804: Use concurrency annotations
- [improvement] JAVA-1915: Expose DSE-specific subtypes for schema metadata
- [improvement] JAVA-1766: Revisit nullability
- [improvement] JAVA-1787: Use standalone shaded Guava artifact
- [new feature] JAVA-1702: Add DSE authenticators
- [new feature] JAVA-1696: Plug in DSE-specific protocol versions
- [improvement] JAVA-1697: Expose DSE-specific node properties
- [improvement] JAVA-1701: Create GeoTypes
- [improvement] JAVA-1708: Add support for org.apache.cassandra.location.EverywhereStrategy
- [improvement] JAVA-1707: Run java-driver-integration-tests with integration tests
- [new feature] JAVA-1698: Create reference.conf
- [new feature] JAVA-1700: Create custom RequestProcessorRegistry
- [new feature] JAVA-1695: Create cluster and session wrappers
